import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public final class ChainedFilter implements Filter 
{
  public void doFilter(ServletRequest request, ServletResponse response,
    FilterChain chain)
    throws IOException, ServletException 
  {

    System.out.println("In ChainedFilter.");
    chain.doFilter(request, response);
    System.out.println("Leaving ChainedFilter.");
  }

  public void destroy() 
  { 
  }

  public void init(FilterConfig filterConfig) 
  {
  }

}
